## trscripts 1.17

=== Makefile ===
#    trscripts -- scripts for translating codesets
#    Copyright (C) 2000 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is anton@lml.bas.bg, zinoviev@fmi.uni-sofia.bg

SHELL = /bin/sh

INSTALL = /usr/bin/install
INSTALL_DATA = $(INSTALL)
INSTALL_PROGRAM = $(INSTALL)

prefix = /usr/local
exec_prefix = $(prefix)
bindir = $(exec_prefix)/bin
srcdir = .
mandir = $(prefix)/man
man1dir = $(mandir)/man1

charmaps = $(wildcard charmaps/*)

all: trcs trbdf

trcs: gen_trcs csets fallbacks $(charmaps)
	./gen_trcs $(srcdir)/csets $(srcdir)/fallbacks $(srcdir)/charmaps > $@
	chmod 755 $@

trbdf: gen_trbdf xcsets fallbacks $(charmaps) adobegliphlist
	./gen_trbdf $(srcdir)/xcsets $(srcdir)/fallbacks $(srcdir)/charmaps adobegliphlist > $@
	chmod 755 $@

install: all
	$(INSTALL_PROGRAM) $(srcdir)/trcs $(bindir)/trcs
	$(INSTALL_PROGRAM) $(srcdir)/trbdf $(bindir)/trbdf
	install -d $(man1dir)
	gzip -9 <$(srcdir)/trcs.1 >$(man1dir)/trcs.1.gz
	gzip -9 <$(srcdir)/trbdf.1 >$(man1dir)/trbdf.1.gz

uninstall:
	-rm $(bindir)/trcs
	-rm $(bindir)/trbdf
	-rm $(man1dir)/trcs.1.gz
	-rm $(man1dir)/trbdf.1.gz

clean:
	-rm trcs trbdf
	-rm -rf *~
	-rm -rf charmaps/*~

## trscripts 1.5

=== debian/changelog ===
trscripts (1.5) unstable; urgency=low

  * Added new encodings: PT154, PT254 and Mac-Ukr.
  * A few additions to fallbacks.
  * New encodings for trbdf: ISO 8859-1,2,15.
  * Some codes below 0x1f has been added to fallbacks in order to allow
    pseudographics in translated fonts -- termsymbols (thanks to Dimitar
    Zhekov).

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 28 Jan 2002 21:48:58 +0200

trscripts (1.4) unstable; urgency=low

  * trbdf: The canonical Adobe gliph names are used always in outputed
    fonts.
  * trbdf: Changes to work faster.
  * Makefile: $(charmaps) is dinamically computed by $(wildcard ..)
  * charmaps/unicode: Unexisting codes are removed.

 -- Anton Zinoviev <zinoviev@debian.org>  Mon, 25 Jun 2001 16:15:06 +0300

trscripts (1.3) unstable; urgency=low

  * New option for trbdf: --foundry.
  * New encodings for trbdf: cp437, cp855, cp866 and ruscii.
  * Changes in the main control file.

 -- Anton Zinoviev <zinoviev@debian.org>  Tue, 14 Nov 2000 23:31:35 +0200

trscripts (1.2) unstable; urgency=low

  * Added encodings ECMA-Cyrillic (ISO-IR-111) and KOI8-C.
  * Charmaps are correct about codes 0x00-0x1f.  trcs ignores symbols with
    such codes, but trbdf uses them.

 -- Anton Zinoviev <anton@lml.bas.bg>  Thu,  8 Jun 2000 22:17:45 +0300

trscripts (1.1-1) unstable; urgency=low

  * trbdf supports unicode and uses fallbacks to approximate missing
    symbols.
  * Fallbacks are improved.
  * Added script `gen_fallbacks' for authomatical generation of
    fallbacks.

 -- Anton Zinoviev <anton@lml.bas.bg>  Wed,  3 May 2000 22:46:46 +0300

trscripts (1.0-1) unstable; urgency=low

  * Initial release.

 -- Anton Zinoviev <anton@lml.bas.bg>  Sat,  4 Mar 2000 14:49:16 +0200

Local variables:
debian-changelog-mailing-address: "zinoviev@debian.org"
End:

=== debian/control ===
Source: trscripts
Maintainer: Anton Zinoviev <zinoviev@debian.org>
Section: utils
Priority: optional
Standards-Version: 3.5.6.0

Package: trscripts
Architecture: all
Description: Scripts for reencoding text files and BDF-fonts.
 The script `trbdf' can convert a BDF font from one codeset
 to another.
 .
 The script `trcs' reencodes text files from one codeset to another.
 It can generate scripts for `tr'. For example the command
  trcs --from cp1252 --to latin1 --gen-script
 gives you the following output:
  #!/bin/sh
 .
  trap "exit 0" PIPE
 .
  cat "$@" | tr \
  '\200''\201''\202''\203''\204''\205''\206''\207''\210''\211''\212'\
  '\213''\214''\215''\216''\217''\220''\221''\222''\223''\224''\225'\
  '\226''\227''\230''\231''\232''\233''\234''\235''\236''\237'  \
  '\105''\77''\47''\146''\42''\267''\53''\77''\136''\77''\123'\
  '\253''\117''\77''\132''\77''\77''\47''\47''\42''\42''\267'\
  '\-''\-''\176''\77''\163''\273''\157''\77''\172''\131'
 .
 Both scripts try to approximate the missing from the target codeset
 symbols.
 .
 It is easy to add support of other character sets.
Section: utils
Priority: optional
Depends: mawk | awk

=== debian/rules ===
#!/usr/bin/make -f

#    Copyright (C) 2000 Anton Kirilov Zinoviev

#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#    My e-mail is anton@lml.bas.bg, zinoviev@fmi.uni-sofia.bg

SHELL = /bin/sh

package=trscripts

build:
	$(checkdir)
	$(MAKE)

clean:
	$(checkdir)
	-$(MAKE) -i clean
	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars

binary-indep:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/DEBIAN
	cp debian/postinst debian/tmp/DEBIAN
	cp debian/prerm debian/tmp/DEBIAN
	install -d debian/tmp/usr/share/doc/$(package)
	cp debian/copyright debian/tmp/usr/share/doc/$(package)
	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog
	cp debian/README.Debian debian/tmp/usr/share/doc/$(package)/
	cp README debian/tmp/usr/share/doc/$(package)/
	install -d debian/tmp/usr/share/doc/$(package)/source
	cp Makefile debian/tmp/usr/share/doc/$(package)/source
	cp csets debian/tmp/usr/share/doc/$(package)/source
	cp fallbacks debian/tmp/usr/share/doc/$(package)/source
	cp gen_trcs debian/tmp/usr/share/doc/$(package)/source
	chmod -x debian/tmp/usr/share/doc/$(package)/source/gen_trcs
	cp gen_trbdf debian/tmp/usr/share/doc/$(package)/source
	chmod -x debian/tmp/usr/share/doc/$(package)/source/gen_trbdf
	cp xcsets debian/tmp/usr/share/doc/$(package)/source
	install -d debian/tmp/usr/share/doc/$(package)/source/charmaps
	cp charmaps/* debian/tmp/usr/share/doc/$(package)/source/charmaps/
	install -d debian/tmp/usr/bin
	$(MAKE) prefix=`pwd`/debian/tmp/usr mandir=`pwd`/debian/tmp/usr/share/man install
	dpkg-gencontrol -isp
	chown -R root.root debian/tmp
	chmod -R go=rX,u=rwX debian/tmp
	dpkg --build debian/tmp ..

binary-arch:	checkroot build
	$(checkdir)

define checkdir
	test -f gen_trcs -a -f gen_trbdf -a -f debian/rules
endef

binary:		binary-indep binary-arch

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## trscripts 1.12

=== debian/changelog ===
trscripts (1.12) unstable; urgency=low

  * trbdf: new option --no-fallback.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 30 Oct 2003 10:17:55 +0200

trscripts (1.11) unstable; urgency=low

  * New fallbacks: the missing pseudographic symbols are approximated by
    termsymbols with codes below 0x1f.
  * gen_trcs ignores the codes below 0x1f.
  * Added missing escapes ('\') in trbdf which caused problems with gawk.
  * Updated `Standards-Version': 3.5.10.
	
 -- Anton Zinoviev <zinoviev@debian.org>  Sat,  7 Jun 2003 20:02:54 +0200

trscripts (1.10) unstable; urgency=low

  * trbdf: new encoding unicode_small which doesn't contain
    character codes after U+2fff.
  * trbdf: uses always DEFAULT_CHAR 32.
  * Removed postinst and prerm.  They used only to manage the symlink in
    /usr/doc.
	
 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 19 Dec 2002 11:10:54 +0200

trscripts (1.9) unstable; urgency=low

  * Fixed a syntax error in csets which caused trcs not to work.  Thanks
    to Daniel Schepler (closes: #168342).
  * New encodings for trbdf: ISO 8859-9 and CP1254.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 10 Nov 2002 11:09:37 +0200

trscripts (1.8) unstable; urgency=low

  * New encodings for trbdf: IBM852 and ISO8859-16.
  * Added fallbacks: `latin small and capital letters s and t with comma
    below' by `latin small and capital letters s and t with cedilla'.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 24 Oct 2002 11:17:21 +0300

trscripts (1.7) unstable; urgency=low

  * Added new encodings for trbdf: IBM850, IBM860 IBM863, IBM865.
  * The XLFD name for the IBM codepages has been changed from ibm-??? to
    ibm-cp???.
  * Added fallbacks: `epsilon' by `belongs to' and `phi' by `empty set'

 -- Anton Zinoviev <zinoviev@debian.org>  Sun,  2 Jun 2002 19:41:36 +0300

trscripts (1.6) unstable; urgency=low

  * New fallback for the Tugrik sign.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun,  2 Jun 2002 17:16:02 +0300

## trscripts 1.14

=== debian/changelog ===
trscripts (1.14) unstable; urgency=low

  * trbdf: new encoding: ISO 8859-13

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 21 Oct 2004 18:53:23 +1000

trscripts (1.13) unstable; urgency=low

  * trbdf: try to approximate U+2010 even with --no-fallback.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 16 Nov 2003 23:52:56 +0200

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 3.5.6.0
+Standards-Version: 3.5.10
 
 Package: trscripts
 Architecture: all
-Description: Scripts for reencoding text files and BDF-fonts.
+Description: Scripts for reencoding text files and BDF-fonts
  The script `trbdf' can convert a BDF font from one codeset
  to another.
  .
@@ -32,4 +32,3 @@
  It is easy to add support of other character sets.
 Section: utils
 Priority: optional
-Depends: mawk | awk

=== debian/rules ===
--- 
+++ 
@@ -35,8 +35,6 @@
 	$(checkdir)
 	-rm -rf debian/tmp
 	install -d debian/tmp/DEBIAN
-	cp debian/postinst debian/tmp/DEBIAN
-	cp debian/prerm debian/tmp/DEBIAN
 	install -d debian/tmp/usr/share/doc/$(package)
 	cp debian/copyright debian/tmp/usr/share/doc/$(package)
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog

## trscripts 1.15

=== debian/changelog ===
trscripts (1.15) unstable; urgency=low

  * trbdf: new encodings: ISO 8859-7 and IBM 869.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 03 Apr 2008 21:37:08 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 3.5.10
+Standards-Version: 3.7.3
 
 Package: trscripts
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 clean:
 	$(checkdir)
-	-$(MAKE) -i clean
+	$(MAKE) -i clean
 	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars
 
 binary-indep:	checkroot build
@@ -59,9 +59,6 @@
 	chmod -R go=rX,u=rwX debian/tmp
 	dpkg --build debian/tmp ..
 
-binary-arch:	checkroot build
-	$(checkdir)
-
 define checkdir
 	test -f gen_trcs -a -f gen_trbdf -a -f debian/rules
 endef

## trscripts 1.16

=== debian/changelog ===
trscripts (1.16) unstable; urgency=low

  * Use question mark as DEFAULT_CHAR
  * /usr/share/doc instead of /usr/doc in README.Debian
  * Do not ignore 'make clean' errors in the clean target of debian/rules
  * Updated address of FSF in the copyright file
  * Update Standards-Version to 3.8.1.
  
 -- Anton Zinoviev <zinoviev@debian.org>  Sat, 02 May 2009 13:49:44 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 3.7.3
+Standards-Version: 3.8.1
 
 Package: trscripts
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -28,7 +28,7 @@
 
 clean:
 	$(checkdir)
-	$(MAKE) -i clean
+	$(MAKE) clean
 	-rm -rf *~ debian/tmp debian/*~ debian/files* debian/substvars
 
 binary-indep:	checkroot build

## trscripts 1.17

=== debian/changelog ===
trscripts (1.17) unstable; urgency=medium

  * Fix mtimes before building binary packages to produce reproducible
    output.  Thanks to akira <marivalenm@gmail.com> for the patch,
    closes: 793730.

 -- Anton Zinoviev <zinoviev@debian.org>  Thu, 06 Aug 2015 15:01:27 +0300

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 SHELL = /bin/sh
 
 package=trscripts
+
+export SOURCE_DATE_EPOCH = $(shell date -d "$$(dpkg-parsechangelog --count 1 -SDate)" +%s)
 
 build:
 	$(checkdir)
@@ -57,6 +59,8 @@
 	dpkg-gencontrol -isp
 	chown -R root.root debian/tmp
 	chmod -R go=rX,u=rwX debian/tmp
+	find debian/tmp -newermt "@$$SOURCE_DATE_EPOCH" -print0 | \
+		xargs -0r touch --no-dereference --date="@$$SOURCE_DATE_EPOCH"
 	dpkg --build debian/tmp ..
 
 define checkdir

## trscripts 1.18

=== debian/changelog ===
trscripts (1.18) unstable; urgency=medium

  * Apply another patch to make the build reproducible.  Thanks to Chris
    Lamb, closes: #776927.

 -- Anton Zinoviev <zinoviev@debian.org>  Sun, 31 Jul 2016 17:48:06 +0300

## trscripts 1.18+nmu1

=== debian/changelog ===
trscripts (1.18+nmu1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 15:01:30 +0100

## trscripts 1.18+nmu2

=== debian/changelog ===
trscripts (1.18+nmu2) unstable; urgency=medium

  * Non-maintainer upload.
  * Make trbdf awk script portable (Closes: #979599).
    POSIX awk does not specify the order in a for(i in array) loop, so
    switching to a for loop with an increment.

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 05 Jun 2021 20:08:15 +0200

=== debian/rules ===
--- 
+++ 
@@ -40,7 +40,7 @@
 	install -d debian/tmp/usr/share/doc/$(package)
 	cp debian/copyright debian/tmp/usr/share/doc/$(package)
 	cp debian/changelog debian/tmp/usr/share/doc/$(package)/changelog
-	gzip -9v debian/tmp/usr/share/doc/$(package)/changelog
+	gzip -9nv debian/tmp/usr/share/doc/$(package)/changelog
 	cp debian/README.Debian debian/tmp/usr/share/doc/$(package)/
 	cp README debian/tmp/usr/share/doc/$(package)/
 	install -d debian/tmp/usr/share/doc/$(package)/source

## trscripts 1.18+nmu3

=== Makefile ===
--- 
+++ 
@@ -23,11 +23,11 @@
 INSTALL_DATA = $(INSTALL)
 INSTALL_PROGRAM = $(INSTALL)
 
-prefix = /usr/local
+prefix = ${DESTDIR}/usr
 exec_prefix = $(prefix)
 bindir = $(exec_prefix)/bin
 srcdir = .
-mandir = $(prefix)/man
+mandir = $(prefix)/share/man
 man1dir = $(mandir)/man1
 
 charmaps = $(wildcard charmaps/*)
@@ -43,9 +43,10 @@
 	chmod 755 $@
 
 install: all
+	$(INSTALL_PROGRAM) -d $(bindir)
 	$(INSTALL_PROGRAM) $(srcdir)/trcs $(bindir)/trcs
 	$(INSTALL_PROGRAM) $(srcdir)/trbdf $(bindir)/trbdf
-	install -d $(man1dir)
+	$(INSTALL_PROGRAM) -d $(man1dir)
 	gzip -9 <$(srcdir)/trcs.1 >$(man1dir)/trcs.1.gz
 	gzip -9 <$(srcdir)/trbdf.1 >$(man1dir)/trbdf.1.gz

=== debian/changelog ===
trscripts (1.18+nmu3) unstable; urgency=medium

  * Add missing unicode charmaps (Closes: #767442)
  * Modernize packaging:
    - use dh
    - don't install package source
    - switch to source format 3.0 (native)
    - reformat d/copyright

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 19 Sep 2021 21:18:58 +0200

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,14 @@
 Maintainer: Anton Zinoviev <zinoviev@debian.org>
 Section: utils
 Priority: optional
-Standards-Version: 3.8.1
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 
 Package: trscripts
 Architecture: all
+Multi-Arch: foreign
+Depends: ${misc:Depends}
 Description: Scripts for reencoding text files and BDF-fonts
  The script `trbdf' can convert a BDF font from one codeset
  to another.
@@ -30,5 +34,3 @@
  symbols.
  .
  It is easy to add support of other character sets.
-Section: utils
-Priority: optional

## trscripts 1.18+nmu3build1

=== debian/changelog ===
trscripts (1.18+nmu3build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 02 Dec 2025 23:04:02 +0100
